# TSStep

Steps the requested number of timesteps.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSStep(TS ts,PetscInt *steps,PetscReal *ptime)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameters

| steps | - number of iterations until termination
| ptime | - time until termination

### Keywords

TS, timestep, solve

### See Also

TSCreate(), TSSetUp(), TSDestroy()

Level:beginner
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex2f.F.html